
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following possible cleanups:
- make needlessly global code static
- remove the following unneeded EXPORT_SYMBOL:
  - cx88-core.c: cx88_pci_irqs

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/cx88/cx88-core.c  |    5 ++---
 drivers/media/video/cx88/cx88-dvb.c   |    4 ++--
 drivers/media/video/cx88/cx88-i2c.c   |    4 ++--
 drivers/media/video/cx88/cx88-vbi.c   |    6 +++---
 drivers/media/video/cx88/cx88-video.c |   12 ++++++------
 drivers/media/video/cx88/cx88.h       |    4 ----
 6 files changed, 15 insertions(+), 20 deletions(-)

diff -puN drivers/media/video/cx88/cx88-core.c~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88-core.c
--- 25/drivers/media/video/cx88/cx88-core.c~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.977774760 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-core.c	2005-04-25 22:54:36.989772936 -0700
@@ -429,7 +429,7 @@ int cx88_sram_channel_setup(struct cx88_
 /* ------------------------------------------------------------------ */
 /* debug helper code                                                  */
 
-int cx88_risc_decode(u32 risc)
+static int cx88_risc_decode(u32 risc)
 {
 	static char *instr[16] = {
 		[ RISC_SYNC    >> 28 ] = "sync",
@@ -542,7 +542,7 @@ void cx88_sram_channel_dump(struct cx88_
 	       core->name,cx_read(ch->cnt2_reg));
 }
 
-char *cx88_pci_irqs[32] = {
+static char *cx88_pci_irqs[32] = {
 	"vid", "aud", "ts", "vip", "hst", "5", "6", "tm1",
 	"src_dma", "dst_dma", "risc_rd_err", "risc_wr_err",
 	"brdg_err", "src_dma_err", "dst_dma_err", "ipb_dma_err",
@@ -1206,7 +1206,6 @@ void cx88_core_put(struct cx88_core *cor
 /* ------------------------------------------------------------------ */
 
 EXPORT_SYMBOL(cx88_print_ioctl);
-EXPORT_SYMBOL(cx88_pci_irqs);
 EXPORT_SYMBOL(cx88_vid_irqs);
 EXPORT_SYMBOL(cx88_mpeg_irqs);
 EXPORT_SYMBOL(cx88_print_irqbits);
diff -puN drivers/media/video/cx88/cx88-dvb.c~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88-dvb.c
--- 25/drivers/media/video/cx88/cx88-dvb.c~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.979774456 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-dvb.c	2005-04-25 22:54:36.990772784 -0700
@@ -91,7 +91,7 @@ static void dvb_buf_release(struct video
 	cx88_free_buffer(dev->pci, (struct cx88_buffer*)vb);
 }
 
-struct videobuf_queue_ops dvb_qops = {
+static struct videobuf_queue_ops dvb_qops = {
 	.buf_setup    = dvb_buf_setup,
 	.buf_prepare  = dvb_buf_prepare,
 	.buf_queue    = dvb_buf_queue,
@@ -191,7 +191,7 @@ static int or51132_set_ts_param(struct d
 	return 0;
 }
 
-struct or51132_config pchdtv_hd3000 = {
+static struct or51132_config pchdtv_hd3000 = {
 	.demod_address    = 0x15,
 	.pll_address      = 0x61,
 	.pll_desc         = &dvb_pll_thomson_dtt7610,
diff -puN drivers/media/video/cx88/cx88.h~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88.h
--- 25/drivers/media/video/cx88/cx88.h~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.980774304 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88.h	2005-04-25 22:54:36.990772784 -0700
@@ -420,7 +420,6 @@ struct cx8802_dev {
 /* ----------------------------------------------------------- */
 /* cx88-core.c                                                 */
 
-extern char *cx88_pci_irqs[32];
 extern char *cx88_vid_irqs[32];
 extern char *cx88_mpeg_irqs[32];
 extern void cx88_print_irqbits(char *name, char *tag, char **strings,
@@ -472,9 +471,6 @@ extern void cx88_core_put(struct cx88_co
 /* cx88-vbi.c                                                  */
 
 void cx8800_vbi_fmt(struct cx8800_dev *dev, struct v4l2_format *f);
-int cx8800_start_vbi_dma(struct cx8800_dev    *dev,
-			 struct cx88_dmaqueue *q,
-			 struct cx88_buffer   *buf);
 int cx8800_stop_vbi_dma(struct cx8800_dev *dev);
 int cx8800_restart_vbi_queue(struct cx8800_dev    *dev,
 			     struct cx88_dmaqueue *q);
diff -puN drivers/media/video/cx88/cx88-i2c.c~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88-i2c.c
--- 25/drivers/media/video/cx88/cx88-i2c.c~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.982774000 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-i2c.c	2005-04-25 22:54:36.991772632 -0700
@@ -45,7 +45,7 @@ MODULE_PARM_DESC(i2c_scan,"scan i2c bus 
 
 /* ----------------------------------------------------------------------- */
 
-void cx8800_bit_setscl(void *data, int state)
+static void cx8800_bit_setscl(void *data, int state)
 {
 	struct cx88_core *core = data;
 
@@ -57,7 +57,7 @@ void cx8800_bit_setscl(void *data, int s
 	cx_read(MO_I2C);
 }
 
-void cx8800_bit_setsda(void *data, int state)
+static void cx8800_bit_setsda(void *data, int state)
 {
 	struct cx88_core *core = data;
 
diff -puN drivers/media/video/cx88/cx88-vbi.c~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88-vbi.c
--- 25/drivers/media/video/cx88/cx88-vbi.c~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.984773696 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-vbi.c	2005-04-25 22:54:36.991772632 -0700
@@ -46,9 +46,9 @@ void cx8800_vbi_fmt(struct cx8800_dev *d
 	}
 }
 
-int cx8800_start_vbi_dma(struct cx8800_dev    *dev,
-			 struct cx88_dmaqueue *q,
-			 struct cx88_buffer   *buf)
+static int cx8800_start_vbi_dma(struct cx8800_dev    *dev,
+				struct cx88_dmaqueue *q,
+				struct cx88_buffer   *buf)
 {
 	struct cx88_core *core = dev->core;
 
diff -puN drivers/media/video/cx88/cx88-video.c~drivers-media-video-cx88-possible-cleanups drivers/media/video/cx88/cx88-video.c
--- 25/drivers/media/video/cx88/cx88-video.c~drivers-media-video-cx88-possible-cleanups	2005-04-25 22:54:36.985773544 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-video.c	2005-04-25 22:54:36.993772328 -0700
@@ -325,7 +325,7 @@ static struct cx88_ctrl cx8800_ctls[] = 
 		.shift                 = 0,
 	}
 };
-const int CX8800_CTLS = ARRAY_SIZE(cx8800_ctls);
+static const int CX8800_CTLS = ARRAY_SIZE(cx8800_ctls);
 
 /* ------------------------------------------------------------------- */
 /* resource management                                                 */
@@ -665,7 +665,7 @@ static void buffer_release(struct videob
 	cx88_free_buffer(fh->dev->pci,buf);
 }
 
-struct videobuf_queue_ops cx8800_video_qops = {
+static struct videobuf_queue_ops cx8800_video_qops = {
 	.buf_setup    = buffer_setup,
 	.buf_prepare  = buffer_prepare,
 	.buf_queue    = buffer_queue,
@@ -1924,7 +1924,7 @@ static struct file_operations video_fops
 	.llseek        = no_llseek,
 };
 
-struct video_device cx8800_video_template =
+static struct video_device cx8800_video_template =
 {
 	.name          = "cx8800-video",
 	.type          = VID_TYPE_CAPTURE|VID_TYPE_TUNER|VID_TYPE_SCALES,
@@ -1933,7 +1933,7 @@ struct video_device cx8800_video_templat
 	.minor         = -1,
 };
 
-struct video_device cx8800_vbi_template =
+static struct video_device cx8800_vbi_template =
 {
 	.name          = "cx8800-vbi",
 	.type          = VID_TYPE_TELETEXT|VID_TYPE_TUNER,
@@ -1951,7 +1951,7 @@ static struct file_operations radio_fops
 	.llseek        = no_llseek,
 };
 
-struct video_device cx8800_radio_template =
+static struct video_device cx8800_radio_template =
 {
 	.name          = "cx8800-radio",
 	.type          = VID_TYPE_TUNER,
@@ -2226,7 +2226,7 @@ static int cx8800_resume(struct pci_dev 
 
 /* ----------------------------------------------------------- */
 
-struct pci_device_id cx8800_pci_tbl[] = {
+static struct pci_device_id cx8800_pci_tbl[] = {
 	{
 		.vendor       = 0x14f1,
 		.device       = 0x8800,
_
